import { ITransactionItem } from '../ITransactionItem.js';
import { IDesignItem } from '../../../item/IDesignItem.js';
import { IContentChanged } from '../../InstanceServiceContainer.js';
export declare class InsertAction implements ITransactionItem {
    constructor(containerItem: IDesignItem, index: number, newItem: IDesignItem);
    title?: string;
    get affectedItems(): IDesignItem[];
    undo(): IContentChanged[] | null;
    do(): IContentChanged[] | null;
    containerItem: IDesignItem;
    index: number;
    newItem: IDesignItem;
    mergeWith(other: ITransactionItem): boolean;
}
